aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorrhatto <rhatto@04377dda-e619-0410-9926-eae83683ac58>2007-10-02 01:40:24 +0000
committerrhatto <rhatto@04377dda-e619-0410-9926-eae83683ac58>2007-10-02 01:40:24 +0000
commitcb2095170129ee7a9bc85b80125dc7d56b6c6548 (patch)
treed44f246a158ae1ac741609e9a20c629ed925459d
parent3aab65168823b023b0f80d7069d5581a6de977bb (diff)
downloadsimplepkg-cb2095170129ee7a9bc85b80125dc7d56b6c6548.tar.gz
simplepkg-cb2095170129ee7a9bc85b80125dc7d56b6c6548.tar.bz2
added simpletrack
git-svn-id: svn+slack://slack.fluxo.info/var/svn/simplepkg@442 04377dda-e619-0410-9926-eae83683ac58
-rwxr-xr-xtrunk/simplepkg.SlackBuild4
-rwxr-xr-xtrunk/src/simpletrack62
2 files changed, 64 insertions, 2 deletions
diff --git a/trunk/simplepkg.SlackBuild b/trunk/simplepkg.SlackBuild
index 1b1f024..8ee22fd 100755
--- a/trunk/simplepkg.SlackBuild
+++ b/trunk/simplepkg.SlackBuild
@@ -18,13 +18,13 @@
PACKAGE="simplepkg"
PACK_DIR="package-$PACKAGE"
BUILD=${BUILD:=1rha}
-VERSION="0.6pre6"
+VERSION="0.6pre7"
ARCH="noarch"
LIBEXEC="/usr/libexec/$PACKAGE"
BINDIR="/usr/bin"
BINARY_LIST="simplaret repos lspkg mkbuild"
SBINDIR="/usr/sbin"
-SBINARY_LIST="mkjail templatepkg jail-update jail-commit metapkg rebuildpkg createpkg exec-slackbuild"
+SBINARY_LIST="mkjail templatepkg jail-update jail-commit metapkg rebuildpkg createpkg exec-slackbuild simpletrack"
LIB_LIST="common.sh"
DOC_DIR="/usr/doc"
DOC_LIST="COPYING TODO CHANGELOG README README.pt_BR README.simplaret README.simplaret.pt_BR"
diff --git a/trunk/src/simpletrack b/trunk/src/simpletrack
new file mode 100755
index 0000000..d20f770
--- /dev/null
+++ b/trunk/src/simpletrack
@@ -0,0 +1,62 @@
+#!/bin/bash
+#
+# simpletrack $Id$: slacktrack/altertrack wrapper from simplepkg suite
+# feedback: rhatto at riseup.net | gpl
+#
+# Simpletrack is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or any later version.
+#
+# Simpletrack is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+
+PRIORITY="slacktrack-real altertrack slacktrack"
+BASENAME="`basename $0`"
+
+function slacktrack {
+
+ # TODO: env vars
+ $1 -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$2"
+
+}
+
+function slacktrack-real {
+
+ # TODO: env vars
+ $1 -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$2"
+
+}
+
+function altertrack {
+
+ # TODO: command line argument and env vars
+ $1 ./$2
+
+}
+
+# -----------------------------------------------------
+# main
+# -----------------------------------------------------
+
+if [ -z "$1" ]; then
+ echo "usage: $BASENAME [options] <build-script>"
+ exit 1
+else if [ ! -f "$1" ]; then
+ echo "$1: file not found"
+ exit 1
+fi
+
+for tracker in $PRIORITY; do
+ path=`which $tracker`
+ if [ "$?" == "0" ]; then
+ echo $BASENAME: using $tracker...
+ $tracker $path $*
+ fi
+done
+